{Festellen der LANG Variabel}
DEFINE Wui_pro_m_search_and_set_lang
INQ_ENV 0 
LET Wui_vg_me_version (INQ 2) 
IF 
       (Wui_vg_me_version < 11) 
       LET Wui_pro_vg_melang (GETENV "LANG")
ELSE 
       LET Wui_pro_vg_melang (GETENV "LANGUAGE")
END_IF 
IF
       (Wui_pro_vg_melang = 'en')
       LET Wui_pro_vg_localdir 'en'
       ELSE_IF 
       ((Wui_pro_vg_melang = 'de_DE')
       OR (Wui_pro_vg_melang = 'de'))
       LET Wui_pro_vg_localdir 'de'
END_IF
{Modulcheck}
IF 
	(Wui_pro_vg_zoom_activate = 1)
	INPUT ((Wui_pro_vg_zoom_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_zoom.ms')
	WAIT 0
END_IF 
IF  
	(Wui_pro_vg_react_activate = 1)
	INPUT 
	((Wui_pro_vg_react_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_react.ms')
	WAIT 0
END_IF
IF 
	(Wui_pro_vg_measure_activate = 1)
	INPUT 
	((Wui_pro_vg_measure_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_measure.ms')
	WAIT 0
END_IF 
IF 
	(Wui_pro_vg_measure_activate = 1)
	INPUT 
	((Wui_pro_vg_parts_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_parts.ms')
	WAIT 0 
END_IF 
IF 
	(Wui_pro_vg_hgeo_activate = 1)
	INPUT 
	((Wui_pro_vg_hgeo_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_hgeo.ms')
	WAIT 0 
END_IF 
END_DEFINE 
{***********************************************************************************************}
{Umstellen der LANG Variabel}
DEFINE Wui_pro_m_switch_lang
PARAMETER newlang
CHANGE_LOCALE (newlang)
LET Wui_pro_vg_localdir (newlang)
{Modulcheck}
IF 
	(Wui_pro_vg_zoom_activate = 1)
	INPUT ((Wui_pro_vg_zoom_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_zoom.ms')
	WAIT 0
END_IF 
IF  
	(Wui_pro_vg_react_activate = 1)
	INPUT ((Wui_pro_vg_react_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_react.ms')
	
	WAIT 0							     
END_IF
IF 
	(Wui_pro_vg_measure_activate = 1)
	INPUT ((Wui_pro_vg_measure_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_measure.ms')
	WAIT 0 
END_IF 
IF 
	(Wui_pro_vg_parts_activate = 1)
	INPUT ((Wui_pro_vg_parts_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_parts.ms')
	WAIT 0 
END_IF 
IF 
	(Wui_pro_vg_hgeo_activate = 1)
	INPUT ((Wui_pro_vg_hgeo_reactivate_dir + Wui_pro_vg_localdir) + '\wuipro_base_hgeo.ms')
	WAIT 0 
END_IF 
TOOLBAR_LAYOUT REFRESH END 
{Menues neu fllen}
END_DEFINE 
{***********************************************************************************************}
DEFINE wuipro_init_menues
IF 
	(Wui_pro_vg_zoom_activate = 1)
	{INITIALISIERUNG}
	DISPLAY_NO_WAIT 'WUI-PRO Modul ZOOM wird aktiviert'
	WAIT 0 
	Wuipro_top_zoom_menu
	{einschalten TOP Pos 2 }
	TOOLBAR 'Wuipro_mn_topmenu_zoom' VISIBLE ON DOCK TOP 1 2 0 END  
END_IF 
IF 
	(Wui_pro_vg_react_activate = 1)
	{INITIALISIERUNG}
	DISPLAY_NO_WAIT 'WUI-PRO Modul REACT wird aktiviert'
	WAIT 0 
	Wuipro_fl_help_options_menu
	Wuipro_fl_delete_options_menu
	Wuipro_del_select_adv
	Wuipro_top_std_menu
	{einschalten TOP Pos 3 }
	TOOLBAR 'Wuipro_mn_topmenu_general' VISIBLE ON DOCK TOP 1 3 0 END  
END_IF
IF 
	(Wui_pro_vg_measure_activate = 1)
	{INITIALISIERUNG}
	DISPLAY_NO_WAIT 'WUI-PRO Modul MEASURE wird aktiviert'
	WAIT 0 
	Wui_pro_fl_measure_menu
	Wuipro_top_measure_menu
	{einschalten TOP Pos 4 }
	TOOLBAR 'Wuipro_mn_topmenu_measure' VISIBLE ON DOCK TOP 1 4 0 END  
END_IF
IF 
	(Wui_pro_vg_parts_activate = 1)
	{INITIALISIERUNG}
	DISPLAY_NO_WAIT 'WUI-PRO Modul PARTS wird aktiviert'
	WAIT 0  
	Wuipro_fl_parts_advanced_menu
	Wuipro_fl_parts_begin_options_menu
	Wuipro_fl_parts_create_options_menu
	Wuipro_top_parts_menu
	{einschalten TOP Pos 5 }
	TOOLBAR 'Wuipro_mn_topmenu_parts' VISIBLE ON DOCK TOP 1 5 0 END  
END_IF 
IF 
	(Wui_pro_vg_hgeo_activate = 1)
	{INITIALISIERUNG}
	DISPLAY_NO_WAIT 'WUI-PRO Modul HGEO wird aktiviert'
	WAIT 0  
	Wui_pro_fl_hgeo_line_menu 
	Wui_pro_fl_hgoe_lines_select_menu
	Wui_pro_fl_hgoe_circles_select_menu
	Wui_pro_fl_hgeo_special_select_menu
	Wuipro_top_hgeo_menu
	{einschalten RIGHT Pos 1 }
	TOOLBAR 'Wuipro_mn_topmenu_hgeo' VISIBLE ON DOCK RIGHT 1 2 0 END  
END_IF 	
END_DEFINE 